TopDocs (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.TopDocs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class TopDocs

    java.lang.Object
      org.apache.lucene.search.TopDocs

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TopFieldDocs

    public class TopDocs

extends Object
implements Serializable

Expert: Returned by low-level search implementations.

See Also:
  `Searcher.search(Query,Filter,int)`, Serialized Form

Field Summary
`ScoreDoc[]` | `scoreDocs` Expert: The top hits for the query.
`int` | `totalHits` Expert: The total number of hits for the query.

Constructor Summary
`TopDocs(int totalHits, ScoreDoc[] scoreDocs, float maxScore)` Expert: Constructs a TopDocs.

Method Summary
`float` | `getMaxScore()` Expert: Returns the maximum score value encountered.
`void` | `setMaxScore(float maxScore)` Expert: Sets the maximum score value encountered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### totalHits

    public int totalHits

  Expert: The total number of hits for the query.

  See Also:
    `Hits.length()`

### scoreDocs

    public ScoreDoc[] scoreDocs

  Expert: The top hits for the query.

Constructor Detail

### TopDocs

    public TopDocs(int totalHits,
                   ScoreDoc[] scoreDocs,
                   float maxScore)

  Expert: Constructs a TopDocs.

Method Detail

### getMaxScore

    public float getMaxScore()

  Expert: Returns the maximum score value encountered.

### setMaxScore

    public void setMaxScore(float maxScore)

  Expert: Sets the maximum score value encountered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.